Bug 255236 - audio/audacity Upgrade to 3.0.2
Summary: audio/audacity Upgrade to 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL: https://www.audacityteam.org/audacity...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-19 19:45 UTC by Jack
Modified: 2021-04-29 09:05 UTC (History)
2 users (show)

See Also:
xxjack12xx: maintainer-feedback+


Attachments
Patch to upgrade audacity to 3.0.2 (6.43 KB, text/plain)
2021-04-19 19:45 UTC, Jack
xxjack12xx: maintainer-approval+
Details
New patch to fix compile error without git installed (5.75 KB, patch)
2021-04-22 04:25 UTC, Jack
xxjack12xx: maintainer-approval+
Details | Diff
Upgrade audacity to 3.0.2 fixing compile error if git missing (6.00 KB, patch)
2021-04-22 04:43 UTC, Jack
xxjack12xx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2021-04-19 19:45:01 UTC
Created attachment 224264 [details]
Patch to upgrade audacity to 3.0.2

Patch to upgrade audacity to 3.0.2. Contains many imported patches of bug fixes to 3.0.0
Comment 1 Li-Wen Hsu freebsd_committer 2021-04-19 19:49:30 UTC
Thanks for the patch. BTW, if you want, you can use `git format-patch` and let committer directly apply your patch, including you as the author.
Comment 2 Jack 2021-04-19 19:52:14 UTC
(In reply to Li-Wen Hsu from comment #1)
Hmm. I typed that and nothing happened, is something support to happen?
Comment 3 Li-Wen Hsu freebsd_committer 2021-04-19 19:56:05 UTC
(In reply to Jack from comment #2)
You might want to check it's doc: https://git-scm.com/docs/git-format-patch

`git format-patch -1 HEAD` might do the trick, but please still check the full doc.
Comment 4 Jack 2021-04-19 20:01:34 UTC
(In reply to Li-Wen Hsu from comment #3)
Looks like it did something else, will do some reading, thanks!
Comment 5 Jack 2021-04-21 07:06:09 UTC
Does the patch look ok?
Comment 6 Li-Wen Hsu freebsd_committer 2021-04-22 04:01:53 UTC
(In reply to Jack from comment #5)
unfortunately it doesn't build on 13:
https://gist.github.com/lwhsu/0bb8e1784cebae23b232e53fd680dec7#file-audacity-3-0-2-log-L2026
Comment 7 Jack 2021-04-22 04:25:44 UTC
Created attachment 224349 [details]
New patch to fix compile error without git installed

It looks like patch-src_AboutDialog.cpp is still needed if git is not installed. I removed the removal of that patch from the patch, can you try again with this one?
Comment 8 Jack 2021-04-22 04:43:07 UTC
Created attachment 224350 [details]
Upgrade audacity to 3.0.2 fixing compile error if git missing

Previous patch was malformed
Comment 9 Jack 2021-04-26 03:38:12 UTC
Does everything look ok now?
Comment 10 Li-Wen Hsu freebsd_committer 2021-04-26 08:39:34 UTC
(In reply to Jack from comment #9)
Yes sorry for the delay, just checked it passes in my poudriere in the weekend. I'll update it soon.
Comment 11 Jack 2021-04-29 02:14:38 UTC
Just checking to see if this can be updated soon?
Comment 12 commit-hook freebsd_committer 2021-04-29 09:04:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=004e688b9b4397e626f2850409a73651692852ff

commit 004e688b9b4397e626f2850409a73651692852ff
Author:     Jack <xxjack12xx@gmail.com>
AuthorDate: 2021-04-29 08:59:23 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-04-29 09:02:31 +0000

    audio/audacity Upgrade to 3.0.2

    PR:             255236

 audio/audacity/Makefile                            |  2 +-
 audio/audacity/distinfo                            |  6 +--
 ...lib-src_libnyquist_nyquist_xlisp_xlfio.c (gone) | 12 -----
 .../files/patch-src_ProjectSerializer.cpp (gone)   | 60 ----------------------
 .../files/patch-src_import_Import.cpp (gone)       | 16 ------
 .../files/patch-src_widgets_FileConfig.cpp (gone)  | 11 ----
 6 files changed, 4 insertions(+), 103 deletions(-)
Comment 13 Li-Wen Hsu freebsd_committer 2021-04-29 09:05:02 UTC
Pushed. Sorry for the delay.